/*
Copyright 2015 Ian Jauslin

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

#ifndef DEFINITIONS_GCC
#define DEFINITIONS_GCC

#define VERSION "1.3.1"

// number of entries in a configuration file
#define ARG_COUNT 10
// size of string representing a monomial
#define MONOMIAL_SIZE 20
// size of various strings
#define STR_SIZE 100
// number of terms in coefficients
#define COEF_SIZE 100
// number of terms in polynomials
#define POLY_SIZE 100
// number of equations
#define EQUATION_SIZE 20
// number of fields
#define FIELDS_SIZE 50
// number of elements in numbers
#define NUMBER_SIZE 5
// number of elements in a group
#define GROUP_SIZE 5


// display options
#define DISPLAY_EQUATION 1
#define DISPLAY_NUMERICAL 2
#define DISPLAY_EXPLOG 3
#define DISPLAY_FINAL 4

// available preprocessors
#define PREPROCESSOR_KONDO 1

// offset derivative indices
#define DOFFSET 1000000

// types of fields (the order matters)
#define FIELD_PARAMETER 1
#define FIELD_EXTERNAL 2
#define FIELD_INTERNAL 3
#define FIELD_SYMBOL 4

#endif
